# coding: utf-8

"""
    Cisco Defense Orchestrator API

    # Cisco Defense Orchestrator (CDO) Python SDK  The CDO Python SDK facilitates automated interaction with the Cisco Defense Orchestrator (CDO) API, enabling developers to integrate Cisco's cloud-based security policy and device management into Python applications.  For more information and detailed documentation, visit the [CDO Python SDK documentation](https://github.com/cisco-lockhart/cdo-public-api-docs/tree/main/cdo-sdk/python).  Read more about CDO [here](https://docs.defenseorchestrator.com/).  ## Installation  Install the CDO Python SDK package with the following command:  ``` pip install cdo-sdk-python ```  ... (more content following the same pattern) ... 

    The version of the OpenAPI document: 0.0.1
    Contact: cdo.tac@cisco.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class ConnectivityState(str, Enum):
    """
    The connectivity state of the device to CDO. A connectivity state that is not ONLINE can indicate either a problem with the device, or the communication pathways between the device and CDO.
    """

    """
    allowed enum values
    """
    ONLINE = 'ONLINE'
    UNREACHABLE = 'UNREACHABLE'
    BAD_CREDENTIALS = 'BAD_CREDENTIALS'
    UNKNOWN = 'UNKNOWN'
    PENDING_SETUP = 'PENDING_SETUP'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of ConnectivityState from a JSON string"""
        return cls(json.loads(json_str))


